## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStreamPrintWriter Class Reference

`#include <XalanOutputStreamPrintWriter.hpp>`

Inheritance diagram for XalanOutputStreamPrintWriter:

[legend]
Collaboration diagram for XalanOutputStreamPrintWriter:

[legend]
List of all members.

## Public Methods

- XalanOutputStreamPrintWriter (XalanOutputStream &theOutputStream, bool fAutoFlush=false)
    Construct a XalanOutputStreamPrintWriter instance. More...
- virtual ~XalanOutputStreamPrintWriter ()
- virtual bool checkError () const
    Flush the stream, then check the error status. More...
- virtual void close ()
    Close the stream. More...
- virtual void flush ()
    Flush the stream. More...
- virtual XalanOutputStream* getStream ()
    Get the stream associated with the writer... More...
- virtual const XalanOutputStream* getStream () const
    Get the stream associated with the writer... More...
- virtual void write (const char *s, size_t theOffset=0, size_t theLength=npos)
    Writes a string. More...
- virtual void write (const XalanDOMChar *s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Writes a string. More...
- virtual void write (XalanDOMChar c)
    Writes a character. More...
- virtual void write (const XalanDOMString &s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Writes a string. More...
- virtual void print (bool b)
- virtual void print (char c)
- virtual void print (const char *s, size_t theLength=npos)
- virtual void print (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)
- virtual void print (double d)
- virtual void print (int i)
- virtual void print (long l)
- virtual void print (const XalanDOMString &s)
- virtual void println ()
- virtual void println (bool x)
- virtual void println (char x)
- virtual void println (const char *s, size_t theLength=npos)
- virtual void println (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)
- virtual void println (double x)
- virtual void println (int x)
- virtual void println (long x)
- virtual void println (const XalanDOMString &s)

## Static Public Methods

- XalanOutputStreamPrintWriter* create (XalanOutputStream &theOutputStream, bool fAutoFlush=false)

## Constructor & Destructor Documentation

XalanOutputStreamPrintWriter::XalanOutputStreamPrintWriter ( | XalanOutputStream & theOutputStream,
| bool fAutoFlush = false )

  | Construct a XalanOutputStreamPrintWriter instance. Parameters:
  theOutputStream | output stream to write
  fAutoFlush | if true, the output will not be buffered

XalanOutputStreamPrintWriter::~XalanOutputStreamPrintWriter ( | )`[virtual]`

## Member Function Documentation

bool XalanOutputStreamPrintWriter::checkError ( | ) const`[virtual]`

| Flush the stream, then check the error status. Returns: true if no errors Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::close ( | )`[virtual]`

| Close the stream. Reimplemented from PrintWriter.

XalanOutputStreamPrintWriter * XalanOutputStreamPrintWriter::create ( | XalanOutputStream & theOutputStream,
| bool fAutoFlush = false )`[static]`

void XalanOutputStreamPrintWriter::flush ( | )`[virtual]`

| Flush the stream. Reimplemented from PrintWriter.

const XalanOutputStream * XalanOutputStreamPrintWriter::getStream ( | ) const`[virtual]`

| Get the stream associated with the writer... Reimplemented from Writer.

XalanOutputStream * XalanOutputStreamPrintWriter::getStream ( | )`[virtual]`

| Get the stream associated with the writer... Reimplemented from Writer.

void XalanOutputStreamPrintWriter::print ( | const XalanDOMString & s )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | long l )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | int i )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | double d )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | const XalanDOMChar * s,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | const char * s,
| size_t theLength = npos )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | char c )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::print ( | bool b )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | const XalanDOMString & s )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | long x )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | int x )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | double x )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | const XalanDOMChar * s,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | const char * s,
| size_t theLength = npos )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | char x )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | bool x )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::println ( | )`[virtual]`

| Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::write ( | const XalanDOMString & s,
| XalanDOMString::size_type theOffset = 0,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the entire string is printed.
Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::write ( | XalanDOMChar c )`[virtual]`

  | Writes a character. Parameters:
  c | character to write
Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::write ( | const XalanDOMChar * s,
| XalanDOMString::size_type theOffset = 0,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the array is assumed to be null-terminated.
Reimplemented from PrintWriter.

void XalanOutputStreamPrintWriter::write ( | const char * s,
| size_t theOffset = 0,
| size_t theLength = npos )`[virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is npos, then the array is assumed to be null-terminated.
Reimplemented from PrintWriter.

The documentation for this class was generated from the following file:

- XalanOutputStreamPrintWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.